Subject: Re: [PATCH RFC] c_can_pci: generic module for c_can on PCI

From: Wolfgang Grandegger <[email-masked]>
Date: Mon, 11 Jun 2012 16:21:19 +0200

On 06/11/2012 03:18 PM, Federico Vaga wrote:
> How we proceed?
> I submit my c_can_pci.c as a separated module, we create a
> c_can_platform_common.c,
> or we are thinking about a generic c_can.c as plaftorm driver?

I would accept your patch with the remaining fixes especially the new
register access methods introduced by the D_CAN support patch recently.

Any further improvements to the device abstraction and a more consistent
handling of the platform data or register access should be addressed by
sub-sequent patches.

Wolfgang.